
Foreman - Feature #3763

Ability for engine/plugin to extend RABL responses

11/26/2013 12:56 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Plugin integration   

Target version: 1.17.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5048

  

Description

Related issues:

Related to Foreman - Bug #3853: allow rabl overrides to taxonomies_controller Closed 12/11/2013

Related to Foreman - Feature #9375: Find a way for plugins to easily override... Rejected 02/13/2015

Related to OpenSCAP - Bug #16490: API lacks ability to modify/specify hostgro... Closed 09/08/2016

Related to Docker - Bug #12116: `hammer compute-resource create -h` do not me... New 10/08/2015

Related to Katello - Bug #16812: Replace controller extensions with apipie ex... Assigned 10/05/2016

Related to Foreman - Feature #16630: Need a way to extend existing apipie spe... Closed 09/21/2016

Related to Foreman Remote Execution - Bug #20713: REST API /api/hosts/:id/int... Duplicate 08/23/2017

Related to Foreman - Bug #22080: uninitialized constant ActionView::Template:... Closed 12/27/2017

Blocks Katello - Tracker #8161: Host Unification Rejected

Blocks Katello - Refactor #9378: Need to handle the organization controller Rejected

Blocks Foreman Remote Execution - Feature #20689: Remote execution interface ... Closed

Associated revisions

Revision d73b9198 - 12/26/2017 08:25 AM - Timo Goebel

fixes #3763 - extend rabl templates

Revision 070af490 - 12/26/2017 06:07 PM - Tomer Brisker

Refs #3763 - fix indentation in rabl_test.rb

History

#1 - 12/24/2013 07:33 AM - Joseph Magen

Similar to http://projects.theforeman.org/issues/3853 fixed by

https://github.com/theforeman/foreman/pull/1086

#2 - 01/02/2014 03:23 PM - Dominic Cleal

- Related to Bug #3853: allow rabl overrides to taxonomies_controller added

#3 - 04/24/2014 12:07 PM - Joseph Magen

- Target version set to 1.8.3

#4 - 04/30/2014 08:37 AM - Joseph Magen

- Target version deleted (1.8.3)

#5 - 02/11/2015 09:13 AM - Stephen Benjamin

- Subject changed from ability for engine/plugin to extend rabl api view/response to Ability for engine/plugin to extend API documentation and RABL
responses

- Category changed from API to Plugin integration

- Assignee deleted (Joseph Magen)

#6 - 02/11/2015 09:15 AM - Stephen Benjamin

We really want to have such a feature for Katello.  And same for Salt.  This is especially important for hosts and hostgroups.

I have a working example...

I'd like to add something like this to Foreman:

 https://github.com/stbenjam/foreman/commit/ffc9009a99aa63e2b402ae5f7e8c95f61c7effb5

And the corresponding plugin extensions might look something like this:

 https://github.com/stbenjam/katello/commit/6d5c1a96664e1b3c1b25a7ba16f024c82f413b8a

The idea probably needs some work, so we can get the dynamic methods (_id -> _name) in the attributes as well, and somehow get hammer to

dynamically fetch them in the details output.

#7 - 02/11/2015 12:06 PM - Ivan Necas

Stephen: I like this approach a lot.

#8 - 02/13/2015 11:07 AM - Stephen Benjamin

- Blocks Tracker #8161: Host Unification added

#9 - 02/13/2015 11:14 AM - David Davis

- Related to Feature #9375: Find a way for plugins to easily override the behavior of taxonomies controller actions added

#10 - 02/13/2015 11:34 AM - David Davis

- Blocks Refactor #9378: Need to handle the organization controller added

#11 - 02/29/2016 07:20 AM - Ori Rabin

- Status changed from Assigned to New

#12 - 11/08/2016 10:16 AM - Dominic Cleal

- Has duplicate Feature #16630: Need a way to extend existing apipie specification added

#13 - 11/08/2016 10:16 AM - Dominic Cleal

https://github.com/Apipie/apipie-rails/issues/330 describes extensions to API docs.

#14 - 11/09/2016 07:04 AM - Marek Hulán

- Related to Bug #16490: API lacks ability to modify/specify hostgroup openscap capsule via API or hammer cli added

#15 - 11/09/2016 07:04 AM - Marek Hulán

- Related to Bug #12116: `hammer compute-resource create -h` do not mention Docker added

#16 - 11/09/2016 07:04 AM - Marek Hulán

- Related to Bug #16812: Replace controller extensions with apipie extensions added

#17 - 11/09/2016 08:05 AM - Ivan Necas

- Has duplicate deleted (Feature #16630: Need a way to extend existing apipie specification)

#18 - 11/09/2016 08:05 AM - Ivan Necas

- Related to Feature #16630: Need a way to extend existing apipie specification added

#19 - 11/09/2016 08:07 AM - Ivan Necas

I think the api docs and rabl extendability are two separate issues, and therefore http://projects.theforeman.org/issues/16630 doesn't duplicate the

whole issue here. Alternatively, I would suggest limiting the scope of this issue to RABL only

#20 - 09/14/2017 03:05 PM - Ivan Necas
- Subject changed from Ability for engine/plugin to extend API documentation and RABL responses to Ability for engine/plugin to extend RABL

responses

#21 - 09/14/2017 03:08 PM - Ivan Necas

- Blocks Feature #20689: Remote execution interface not accessible by API added

#22 - 12/03/2017 08:21 PM - Timo Goebel

- Related to Bug #20713: REST API /api/hosts/:id/interfaces doesn't show REX attribute added

#23 - 12/03/2017 08:28 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/5048 added

#24 - 12/26/2017 08:27 AM - Shimon Shtein

- translation missing: en.field_release set to 296

#25 - 12/26/2017 09:01 AM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d73b91986d7cc6bddc2b8eee1adbd4a4ec690683.

#26 - 12/27/2017 12:15 AM - Anonymous

- Related to Bug #22080: uninitialized constant ActionView::Template::Handlers::Rabl added
